> ## Documentation Index
> Fetch the complete documentation index at: https://flywheel.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webinar

> Create a webinar for your organization. API-created webinars default to 'scheduled' status. Link an automation (workflow) to enroll registrants into it automatically.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/webinars
openapi: 3.0.0
info:
  title: Flywheel API
  description: >-
    Complete API for tracking events, sending transactional emails, and building
    comprehensive user profiles
  version: 1.0.0
  contact:
    email: support@flywheel.cx
servers:
  - url: https://api.flywheel.cx
    description: Production server
security:
  - apiKeyAuth: []
    authTypeHeader: []
paths:
  /v1/webinars:
    post:
      tags:
        - Webinars
      summary: Create Webinar
      description: >-
        Create a webinar for your organization. API-created webinars default to
        'scheduled' status. Link an automation (workflow) to enroll registrants
        into it automatically.
      operationId: createWebinar
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - webinar
              properties:
                webinar:
                  $ref: '#/components/schemas/CreateWebinarRequest'
            examples:
              basic:
                summary: Create a scheduled webinar
                value:
                  webinar:
                    title: Onboarding Masterclass
                    start_time: '2026-09-01T17:00:00Z'
                    timezone: America/New_York
                    duration_minutes: 60
                    join_url: https://zoom.us/j/123456789
                    provider: zoom
      responses:
        '200':
          description: Webinar created
          content:
            application/json:
              schema:
                type: object
                properties:
                  webinar:
                    $ref: '#/components/schemas/Webinar'
        '400':
          description: Validation error
        '401':
          description: Invalid or missing API key
components:
  schemas:
    CreateWebinarRequest:
      type: object
      required:
        - title
        - start_time
      properties:
        title:
          type: string
          description: Webinar title
        start_time:
          type: string
          format: date-time
          description: ISO 8601 start time with timezone offset
        timezone:
          type: string
          description: IANA timezone, e.g. America/New_York
        duration_minutes:
          type: integer
          minimum: 1
        join_url:
          type: string
          format: uri
          description: The link attendees use to join
        provider:
          type: string
          description: Webinar platform, e.g. zoom, livestorm
        status:
          type: string
          enum:
            - draft
            - scheduled
          description: Defaults to scheduled
        automation_id:
          type: string
          format: uuid
          description: Workflow to associate with this webinar
    Webinar:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
          nullable: true
        start_time:
          type: string
          format: date-time
        timezone:
          type: string
          nullable: true
        duration_minutes:
          type: integer
          nullable: true
        join_url:
          type: string
          nullable: true
        provider:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - draft
            - scheduled
            - live
            - completed
            - canceled
        automation_id:
          type: string
          format: uuid
          nullable: true
        created_at:
          type: string
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Enter your API key obtained from the Flywheel dashboard (without 'Bearer
        ' prefix)
    authTypeHeader:
      type: apiKey
      in: header
      name: Auth-Type
      description: Authentication type header. Must be set to 'api' for all API requests.
      x-default: api
      x-example: api

````